import { ElementRef, OnInit, Renderer2 } from '@angular/core';
export declare class TileComponent implements OnInit {
    private element;
    private renderer;
    activeTab: number;
    fullScreenActive: boolean;
    hover: number;
    mainElement: HTMLElement;
    marginActive: string;
    marginBreaks: any[];
    paddingActive: string;
    paddingBreaks: any[];
    positionStyles: {};
    tabElements: Element[];
    tabTitles: string[];
    boxShadowInput: string;
    fullScreen: boolean;
    marginValue: string;
    paddingValue: string;
    styleHeader: {};
    styleMain: {};
    styleTabActive: {};
    styleTabIdle: {};
    styleTabHover: {};
    tab: number;
    title: string;
    boxShadow: string;
    height: string;
    margin: string;
    width: string;
    onResize(): void;
    constructor(element: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    setContainerPositions(): void;
    setStyles(): void;
    setBreaks(value: any): [];
    updateView(): void;
    setMarginActive(): void;
    setPaddingActive(): void;
    setTileSize(): void;
    setTabState(): void;
    toggleFullScreen(): void;
    applyFullScreen(): void;
    cancelFullScreen(): void;
    updateActiveTab(index: any): void;
}
